classification
Title: update config.guess and config.sub
Type: Stage: resolved
Components: Build Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: doko Nosy List: cheryl.sabella, christian.heimes, doko, python-dev
Priority: normal Keywords: patch

Created on 2018-04-30 17:14 by doko, last changed 2021-11-25 21:52 by christian.heimes. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6658 merged doko, 2018-04-30 17:23
PR 6661 merged miss-islington, 2018-04-30 18:10
PR 20854 closed python-dev, 2020-06-13 15:36
PR 29781 merged christian.heimes, 2021-11-25 19:27
PR 29782 merged christian.heimes, 2021-11-25 20:00
PR 29783 open christian.heimes, 2021-11-25 20:00
Messages (7)
msg315954 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2018-04-30 17:14
update config.guess and config.sub from http://git.savannah.gnu.org/
msg315958 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2018-04-30 18:07
New changeset 7e3545c70cdecd86ffa8fcbffd79b4f78560679f by Matthias Klose in branch 'master':
bpo-33393: Update config.guess and config.sub files (#6658)
https://github.com/python/cpython/commit/7e3545c70cdecd86ffa8fcbffd79b4f78560679f
msg316048 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2018-05-02 06:54
New changeset 9da7ee40037fa30d0d28fd8d7c652cde14e5a834 by Matthias Klose (Miss Islington (bot)) in branch '3.7':
bpo-33393: Update config.guess and config.sub files (GH-6658) (#6661)
https://github.com/python/cpython/commit/9da7ee40037fa30d0d28fd8d7c652cde14e5a834
msg333079 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-01-05 22:48
Is this intended as a global ticket to be used to update these files on a regular basis?  Or should a new ticket be created every time the files are updated?  Thanks!
msg407017 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-11-25 19:55
New changeset dfcc6ff36f8bedae420fe228312527ec3937c973 by Christian Heimes in branch 'main':
bpo-33393: Update config.guess and config.sub (GH-29781)
https://github.com/python/cpython/commit/dfcc6ff36f8bedae420fe228312527ec3937c973
msg407022 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-11-25 21:52
New changeset b5249349845c21a07e13888aa12c5b86c0f06c31 by Christian Heimes in branch '3.9':
[3.9] bpo-33393: Update config.guess and config.sub (GH-29781) (GH-29783)
https://github.com/python/cpython/commit/b5249349845c21a07e13888aa12c5b86c0f06c31
msg407023 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-11-25 21:52
New changeset 3f565f8edf84cfe8fa3e9cbf5da7c5911acaa6f9 by Christian Heimes in branch '3.10':
[3.10] bpo-33393: Update config.guess and config.sub (GH-29781) (GH-29782)
https://github.com/python/cpython/commit/3f565f8edf84cfe8fa3e9cbf5da7c5911acaa6f9
History
Date User Action Args
2021-11-26 09:41:56christian.heimeslinkissue40280 dependencies
2021-11-25 21:52:33christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-11-25 21:52:05christian.heimessetmessages: + msg407023
2021-11-25 21:52:00christian.heimessetmessages: + msg407022
2021-11-25 20:00:21christian.heimessetpull_requests: + pull_request28020
2021-11-25 20:00:17christian.heimessetpull_requests: + pull_request28019
2021-11-25 19:55:37christian.heimessetmessages: + msg407017
2021-11-25 19:27:04christian.heimessetnosy: + christian.heimes
pull_requests: + pull_request28018
2021-08-27 22:48:43iritkatriellinkissue33511 superseder
2020-06-13 15:36:05python-devsetnosy: + python-dev
pull_requests: + pull_request20046
2019-01-05 22:48:39cheryl.sabellasetnosy: + cheryl.sabella
messages: + msg333079
2018-05-02 06:54:54dokosetmessages: + msg316048
2018-04-30 18:10:55miss-islingtonsetpull_requests: + pull_request6357
2018-04-30 18:07:37dokosetmessages: + msg315958
2018-04-30 17:23:35dokosetkeywords: + patch
stage: patch review
pull_requests: + pull_request6354
2018-04-30 17:14:44dokocreate